<?php
namespace Modules\Invoices\SupplierInvoices\ImportStatements\Suppliers\Tbo;

class View extends \Modules\Invoices\SupplierInvoices\ImportStatements\View_Utils_FormAdminAbstract
{
	/**
	 * Creates the form for supplier statements import.
	 * @see \App\Mvc\View_Utils_FormAbstract::getForm()
	 */
	public function getForm()
	{
		$form = parent::getForm();

		if ($this->values['currentStep'] == 2) {
			////////////////////////////////////// FIELDSET WITH INVOICES INFOS ////////////////////////
			$vatQuota = $this->getVatQuotaInput($this->globalLang['Invoices']['SupplierInvoices']['ImportStatements']['form']['serviceVatQuota'], 'serviceVatQuota', $this->values['serviceVatQuota']);
			$vatQuota->showDefaultOption(true);
			$form->addElement($vatQuota);

			$form->addElement($this->getInput('idSupplier'));
		}

		return $form;
	}
}